## crow-translate 2.10.5~sparky7~0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

project(crow-translate
    VERSION 2.10.5
    DESCRIPTION "A simple and lightweight translator that allows to translate and speak text using Google, Yandex, Bing, LibreTranslate and Lingva"
    HOMEPAGE_URL crow-translate.github.io
    LANGUAGES CXX
)

set(APPLICATION_NAME "Crow Translate")
set(EXECUTABLE_NAME crow)
if(UNIX)
    set(DESKTOP_FILE io.crow_translate.CrowTranslate.desktop)
    set(METAINFO_FILE io.crow_translate.CrowTranslate.metainfo.xml)
endif()

set(CPACK_PACKAGE_VENDOR ${APPLICATION_NAME})
set(CPACK_PACKAGE_EXECUTABLES ${EXECUTABLE_NAME} ${APPLICATION_NAME})
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${APPLICATION_NAME})
set(CPACK_PACKAGE_CONTACT genaloner@gmail.com)
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
set(CPACK_PROJECT_CONFIG_FILE ${CMAKE_CURRENT_SOURCE_DIR}/cmake/CPackProjectConfig.cmake)

set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
set(CPACK_DEBIAN_FILE_NAME DEB-DEFAULT)
set(CPACK_DEBIAN_PACKAGE_GENERATE_SHLIBS_POLICY >=)
set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "qtgstreamer-plugins-qt5, gstreamer1.0-plugins-good, gstreamer1.0-alsa, gstreamer1.0-pulseaudio, libqt5multimedia5-plugins")
set(CPACK_RPM_FILE_NAME RPM-DEFAULT)
set(CPACK_RPM_PACKAGE_LICENSE GPLv3)
set(CPACK_RPM_PACKAGE_GROUP Applications/Text)
set(CPACK_RPM_COMPRESSION_TYPE lzma)
set(CPACK_NSIS_DISPLAY_NAME ${APPLICATION_NAME})
set(CPACK_NSIS_INSTALLED_ICON_NAME ${EXECUTABLE_NAME}.exe)
set(CPACK_NSIS_EXECUTABLES_DIRECTORY .)
set(CPACK_NSIS_MUI_FINISHPAGE_RUN ${EXECUTABLE_NAME}.exe)
set(CPACK_EXTERNAL_PACKAGE_SCRIPT ${CMAKE_SOURCE_DIR}/cmake/AppImage.cmake)
set(CPACK_EXTERNAL_ENABLE_STAGING YES)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_WIN32_EXECUTABLE ON)

if(CMAKE_CXX_CLANG_TIDY)
    # Exclude generated files
    # We generate a dummy .clang-tidy file in the binary directory that disables
    # all clang-tidy checks except one that will never match. This one check is
    # necessary; clang-tidy reports an error when no checks are enabled.
    # https://gitlab.kitware.com/cmake/cmake/-/issues/19772
    file(WRITE ${CMAKE_BINARY_DIR}/.clang-tidy "Checks: '-*,llvm-twine-local'")
endif()

option(WITH_PORTABLE_MODE "Enable portable functionality" OFF)
option(WITH_KWAYLAND "Use KWayland for better Wayland integration" ON)

find_package(ECM REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(QAPPLICATION_CLASS QApplication)
option(QHOTKEY_INSTALL OFF)

add_subdirectory(src/third-party/singleapplication)
add_subdirectory(src/third-party/qhotkey)
add_subdirectory(src/third-party/qtaskbarcontrol)
add_subdirectory(src/qonlinetranslator)
if(WIN32)
    add_subdirectory(src/qgittag)
endif()

find_package(Qt5 REQUIRED COMPONENTS Widgets LinguistTools Concurrent)
find_package(Tesseract REQUIRED)
if(UNIX)
    find_package(Qt5 REQUIRED COMPONENTS DBus)
    find_package(XCB REQUIRED COMPONENTS XCB)
    if(WITH_KWAYLAND)
        find_package(KF5Wayland REQUIRED COMPONENTS Client)
    endif()
endif()

include(GNUInstallDirs)
include(CPack)
if(UNIX)
    include(ECMInstallIcons)
elseif(WIN32)
    include(ECMAddAppIcon)
endif()

set(APP_ICONS
    data/icons/app/128-apps-crow-translate.png
    data/icons/app/150-apps-crow-translate.png
    data/icons/app/16-apps-crow-translate.png
    data/icons/app/22-apps-crow-translate.png
    data/icons/app/256-apps-crow-translate.png
    data/icons/app/310-apps-crow-translate.png
    data/icons/app/32-apps-crow-translate.png
    data/icons/app/44-apps-crow-translate.png
    data/icons/app/48-apps-crow-translate.png
    data/icons/app/512-apps-crow-translate.png
    data/icons/app/64-apps-crow-translate.png
)

qt5_add_translation(QM_FILES
    data/translations/${PROJECT_NAME}_ar_SA.ts
    data/translations/${PROJECT_NAME}_az_AZ.ts
    data/translations/${PROJECT_NAME}_de_DE.ts
    data/translations/${PROJECT_NAME}_el_GR.ts
    data/translations/${PROJECT_NAME}_es_ES.ts
    data/translations/${PROJECT_NAME}_fi_FI.ts
    data/translations/${PROJECT_NAME}_fr_FR.ts
    data/translations/${PROJECT_NAME}_hi_IN.ts
    data/translations/${PROJECT_NAME}_hu_HU.ts
    data/translations/${PROJECT_NAME}_id_ID.ts
    data/translations/${PROJECT_NAME}_it_IT.ts
    data/translations/${PROJECT_NAME}_ko_KR.ts
    data/translations/${PROJECT_NAME}_ms_MY.ts
    data/translations/${PROJECT_NAME}_nl_NL.ts
    data/translations/${PROJECT_NAME}_pl_PL.ts
    data/translations/${PROJECT_NAME}_pt_BR.ts
    data/translations/${PROJECT_NAME}_pt_PT.ts
    data/translations/${PROJECT_NAME}_ru_RU.ts
    data/translations/${PROJECT_NAME}_sq_AL.ts
    data/translations/${PROJECT_NAME}_tr_TR.ts
    data/translations/${PROJECT_NAME}_ug_CN.ts
    data/translations/${PROJECT_NAME}_uk_UA.ts
    data/translations/${PROJECT_NAME}_zh_CN.ts
    data/translations/${PROJECT_NAME}_zh_TW.ts
)

configure_file(src/cmake.h.in cmake.h)

add_executable(${PROJECT_NAME}
    data/icons/flags.qrc
    ${QM_FILES}
    data/icons/icon-theme.qrc
    data/icons/engines/engines.qrc
    src/addlanguagedialog.cpp
    src/addlanguagedialog.ui
    src/cli.cpp
    src/contextmenu.cpp
    src/languagebuttonswidget.cpp
    src/languagebuttonswidget.ui
    src/main.cpp
    src/mainwindow.cpp
    src/mainwindow.ui
    src/ocr/ocr.cpp
    src/ocr/screengrabbers/abstractscreengrabber.cpp
    src/ocr/screengrabbers/genericscreengrabber.cpp
    src/ocr/snippingarea.cpp
    src/popupwindow.cpp
    src/popupwindow.ui
    src/screenwatcher.cpp
    src/selection.cpp
    src/settings/appsettings.cpp
    src/settings/ocrlanguageslistwidget.cpp
    src/settings/settingsdialog.cpp
    src/settings/settingsdialog.ui
    src/settings/shortcutsmodel/shortcutitem.cpp
    src/settings/shortcutsmodel/shortcutsmodel.cpp
    src/settings/shortcutsmodel/shortcutsview.cpp
    src/settings/tesseractparameterstablewidget.cpp
    src/settings/autostartmanager/abstractautostartmanager.cpp
    src/sourcetextedit.cpp
    src/speakbuttons.cpp
    src/speakbuttons.ui
    src/transitions/languagedetectedtransition.cpp
    src/transitions/ocruninitializedtransition.cpp
    src/transitions/playerstoppedtransition.cpp
    src/transitions/retranslationtransition.cpp
    src/transitions/snippingvisibletransition.cpp
    src/transitions/textemptytransition.cpp
    src/transitions/translatorabortedtransition.cpp
    src/transitions/translatorerrortransition.cpp
    src/translationedit.cpp
    src/trayicon.cpp
)

if(UNIX)
    target_sources(${PROJECT_NAME} PRIVATE
        src/xdgdesktopportal.cpp
        src/ocr/screengrabbers/dbusscreengrabber.cpp
        src/ocr/screengrabbers/waylandgnomescreengrabber.cpp
        src/ocr/screengrabbers/waylandplasmascreengrabber.cpp
        src/ocr/screengrabbers/waylandportalscreengrabber.cpp
        src/settings/autostartmanager/unixautostartmanager.cpp
        src/settings/autostartmanager/portalautostartmanager.cpp
    )
    if(WITH_KWAYLAND)
        target_sources(${PROJECT_NAME} PRIVATE
            src/waylandhelper.cpp
        )
    endif(WITH_KWAYLAND)
elseif(WIN32)
    ecm_add_app_icon(WINDOWS_ICON ICONS ${APP_ICONS})

    target_sources(${PROJECT_NAME} PRIVATE
        ${WINDOWS_ICON}
        data/icons/app/app.qrc
        src/updaterdialog.cpp
        src/updaterdialog.ui
        src/settings/autostartmanager/windowsautostartmanager.cpp
    )
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/src)
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME ${EXECUTABLE_NAME})

target_link_libraries(${PROJECT_NAME} PRIVATE
    SingleApplication::SingleApplication
    QHotkey::QHotkey
    QTaskbarControl::QTaskbarControl
    QOnlineTranslator::QOnlineTranslator
    Qt5::Concurrent
    Tesseract::Tesseract
)

if(UNIX)
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::DBus XCB::XCB)
    if(WITH_KWAYLAND)
        target_link_libraries(${PROJECT_NAME} PRIVATE KF5::WaylandClient)
        target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_KWAYLAND)
    endif()
elseif(WIN32)
    target_link_libraries(${PROJECT_NAME} PRIVATE QGitTag::QGitTag)
endif()

if(WITH_PORTABLE_MODE)
    target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_PORTABLE_MODE)
endif()

if(UNIX)
    install(TARGETS ${PROJECT_NAME})
    install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${APPLICATION_NAME}/${APPLICATION_NAME}/translations)
    install(FILES data/${DESKTOP_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
    install(FILES data/${METAINFO_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)

    ecm_install_icons(ICONS
        ${APP_ICONS}
        data/icons/app/sc-apps-crow-translate.svg
        data/icons/app/16-status-crow-translate-tray-dark.png
        data/icons/app/16-status-crow-translate-tray-light.png
        data/icons/app/22-status-crow-translate-tray-dark.png
        data/icons/app/22-status-crow-translate-tray-light.png
        data/icons/app/24-status-crow-translate-tray-dark.png
        data/icons/app/24-status-crow-translate-tray-light.png
        data/icons/app/sc-status-crow-translate-tray-dark.svg
        data/icons/app/sc-status-crow-translate-tray-light.svg
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons
    )
elseif(WIN32)
    install(TARGETS ${PROJECT_NAME} DESTINATION .)
    install(FILES ${QM_FILES} DESTINATION translations)

    # Bundle Qt dependencies
    find_program(WINDEPLOYQT windeployqt PATH_SUFFIXES tools/qt5/bin)
    install(CODE "execute_process(COMMAND ${WINDEPLOYQT} --no-compiler-runtime --no-angle \${CMAKE_INSTALL_PREFIX}/$<TARGET_FILE_NAME:${PROJECT_NAME}>)")

    # Bundle OpenSLL libraries that required for Qt networking manually because it not handled by windeployqt
    find_file(SLL_DLL NAMES libssl-1_1-x64.dll libssl-1_1.dll libssl.dll PATH_SUFFIXES tools/qt5/bin)
    find_file(CRYPTO_DLL NAMES libcrypto-1_1-x64.dll libcrypto-1_1.dll libcrypto.dll PATH_SUFFIXES tools/qt5/bin)
    install(FILES ${SLL_DLL} ${CRYPTO_DLL} DESTINATION .)

    # Install other non-Qt runtime depenencies
    install(CODE [[
        file(GET_RUNTIME_DEPENDENCIES
            EXECUTABLES $<TARGET_FILE:crow-translate>
            PRE_EXCLUDE_REGEXES api-ms qt5
            POST_EXCLUDE_REGEXES C:[/\\]Windows[/\\]
            RESOLVED_DEPENDENCIES_VAR RESOLVED_DEPENDENCIES
            UNRESOLVED_DEPENDENCIES_VAR UNRESOLVED_DEPENDENCIES
        )
        foreach(DEPENDENCY ${UNRESOLVED_DEPENDENCIES})
            message(WARNING "Unable to resolve dependency ${DEPENDENCY}")
        endforeach()
        foreach(DEPENDENCY ${RESOLVED_DEPENDENCIES})
            message("Copying ${DEPENDENCY}")
            file(INSTALL
                DESTINATION "${CMAKE_INSTALL_PREFIX}"
                FILES "${DEPENDENCY}"
            )
        endforeach()
        file(WRITE ${CMAKE_INSTALL_PREFIX}/qt.conf "[Paths]") # Setup Qt libraries paths
    ]])
endif()

=== debian/changelog ===
crow-translate (2.10.5~sparky7~0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sat, 20 May 2023 18:09:49 +0000

=== debian/control ===
Source: crow-translate
Section: devel
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 12), cmake, extra-cmake-modules, qttools5-dev, libqt5x11extras5-dev, qtmultimedia5-dev, libtesseract-dev, libkf5wayland-dev
Standards-Version: 4.4.1
Homepage: https://crow-translate.github.io/
#Vcs-Browser: https://salsa.debian.org/debian/crow-translate
#Vcs-Git: https://salsa.debian.org/debian/crow-translate.git

Package: crow-translate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A simple and lightweight translator that allows to translate and say selected text using Google, Yandex and Bing translate API.

## crow-translate 2.11.0+git20231031+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,18 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 project(crow-translate
-    VERSION 2.10.5
+    VERSION 2.11.0
     DESCRIPTION "A simple and lightweight translator that allows to translate and speak text using Google, Yandex, Bing, LibreTranslate and Lingva"
     HOMEPAGE_URL crow-translate.github.io
     LANGUAGES CXX
 )
 
 set(APPLICATION_NAME "Crow Translate")
+set(APPLICATION_ID "io.crow_translate.CrowTranslate")
 set(EXECUTABLE_NAME crow)
 if(UNIX)
-    set(DESKTOP_FILE io.crow_translate.CrowTranslate.desktop)
-    set(METAINFO_FILE io.crow_translate.CrowTranslate.metainfo.xml)
+    set(DESKTOP_FILE ${APPLICATION_ID}.desktop)
+    set(METAINFO_FILE ${APPLICATION_ID}.metainfo.xml)
 endif()
 
 set(CPACK_PACKAGE_VENDOR ${APPLICATION_NAME})
@@ -77,9 +78,11 @@
 find_package(Tesseract REQUIRED)
 if(UNIX)
     find_package(Qt5 REQUIRED COMPONENTS DBus)
-    find_package(XCB REQUIRED COMPONENTS XCB)
-    if(WITH_KWAYLAND)
-        find_package(KF5Wayland REQUIRED COMPONENTS Client)
+    if(NOT APPLE)
+        find_package(XCB REQUIRED COMPONENTS XCB)
+        if(WITH_KWAYLAND)
+            find_package(KF5Wayland REQUIRED COMPONENTS Client)
+        endif()
     endif()
 endif()
 
@@ -87,7 +90,8 @@
 include(CPack)
 if(UNIX)
     include(ECMInstallIcons)
-elseif(WIN32)
+endif()
+if(WIN32 OR APPLE)
     include(ECMAddAppIcon)
 endif()
 
@@ -111,6 +115,7 @@
     data/translations/${PROJECT_NAME}_de_DE.ts
     data/translations/${PROJECT_NAME}_el_GR.ts
     data/translations/${PROJECT_NAME}_es_ES.ts
+    data/translations/${PROJECT_NAME}_eu_ES.ts
     data/translations/${PROJECT_NAME}_fi_FI.ts
     data/translations/${PROJECT_NAME}_fr_FR.ts
     data/translations/${PROJECT_NAME}_hi_IN.ts
@@ -180,7 +185,7 @@
     src/trayicon.cpp
 )
 
-if(UNIX)
+if(UNIX AND NOT APPLE)
     target_sources(${PROJECT_NAME} PRIVATE
         src/xdgdesktopportal.cpp
         src/ocr/screengrabbers/dbusscreengrabber.cpp
@@ -195,6 +200,14 @@
             src/waylandhelper.cpp
         )
     endif(WITH_KWAYLAND)
+elseif(APPLE)
+    ecm_add_app_icon(MACOS_ICON ICONS ${APP_ICONS})
+
+    target_sources(${PROJECT_NAME} PRIVATE
+        ${MACOS_ICON}
+        data/icons/app/app.qrc
+        src/settings/autostartmanager/macosautostartmanager.cpp
+    )
 elseif(WIN32)
     ecm_add_app_icon(WINDOWS_ICON ICONS ${APP_ICONS})
 
@@ -220,10 +233,13 @@
 )
 
 if(UNIX)
-    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::DBus XCB::XCB)
-    if(WITH_KWAYLAND)
-        target_link_libraries(${PROJECT_NAME} PRIVATE KF5::WaylandClient)
-        target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_KWAYLAND)
+    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::DBus)
+    if(NOT APPLE)
+        target_link_libraries(${PROJECT_NAME} PRIVATE XCB::XCB)
+        if(WITH_KWAYLAND)
+            target_link_libraries(${PROJECT_NAME} PRIVATE KF5::WaylandClient)
+            target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_KWAYLAND)
+        endif()
     endif()
 elseif(WIN32)
     target_link_libraries(${PROJECT_NAME} PRIVATE QGitTag::QGitTag)
@@ -233,9 +249,9 @@
     target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_PORTABLE_MODE)
 endif()
 
-if(UNIX)
+if(UNIX AND NOT APPLE)
     install(TARGETS ${PROJECT_NAME})
-    install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${APPLICATION_NAME}/${APPLICATION_NAME}/translations)
+    install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/${PROJECT_NAME}/translations)
     install(FILES data/${DESKTOP_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
     install(FILES data/${METAINFO_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 
@@ -251,6 +267,15 @@
         data/icons/app/sc-status-crow-translate-tray-dark.svg
         data/icons/app/sc-status-crow-translate-tray-light.svg
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons
+    )
+elseif(APPLE)
+    set_target_properties(${PROJECT_NAME} PROPERTIES
+        MACOSX_BUNDLE ON
+        MACOSX_BUNDLE_BUNDLE_NAME ${APPLICATION_NAME}
+        MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
+        MACOSX_BUNDLE_GUI_IDENTIFIER ${APPLICATION_ID}
+        MACOSX_BUNDLE_INFO_STRING ${PROJECT_DESCRIPTION}
+        RESOURCE "${QM_FILES}"
     )
 elseif(WIN32)
     install(TARGETS ${PROJECT_NAME} DESTINATION .)

=== debian/changelog ===
crow-translate (2.11.0+git20231031+ds-1) unstable; urgency=medium

  * Initial release (Closes: #973608)

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Mon, 15 May 2023 07:32:40 -0400

=== debian/control ===
Source: crow-translate
Section: utils
Priority: optional
Maintainer: Dmitry Ilyich Sidorov <jonmagon@gmail.com>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends:
  debhelper-compat (= 13),
  cmake,
  extra-cmake-modules,
  qttools5-dev,
  libqt5x11extras5-dev,
  qtmultimedia5-dev,
  libtesseract-dev,
  libkf5wayland-dev
Standards-Version: 4.6.2
Homepage: https://github.com/crow-translate/crow-translate
Vcs-Browser: https://salsa.debian.org/debian/crow-translate
Vcs-Git: https://salsa.debian.org/debian/crow-translate.git
Rules-Requires-Root: no

Package: crow-translate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and lightweight translator
 This is a simple and lightweight translator that allows you
 to translate and speak text using Google, Yandex, Bing,
 LibreTranslate and Lingva translate API.

## crow-translate 2.11.1%2Bgit20240108%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 project(crow-translate
-    VERSION 2.11.0
+    VERSION 2.11.1
     DESCRIPTION "A simple and lightweight translator that allows to translate and speak text using Google, Yandex, Bing, LibreTranslate and Lingva"
     HOMEPAGE_URL crow-translate.github.io
     LANGUAGES CXX
@@ -80,6 +80,7 @@
     find_package(Qt5 REQUIRED COMPONENTS DBus)
     if(NOT APPLE)
         find_package(XCB REQUIRED COMPONENTS XCB)
+        find_package(Qt5 REQUIRED COMPONENTS X11Extras)
         if(WITH_KWAYLAND)
             find_package(KF5Wayland REQUIRED COMPONENTS Client)
         endif()
@@ -144,8 +145,8 @@
     ${QM_FILES}
     data/icons/icon-theme.qrc
     data/icons/engines/engines.qrc
-    src/addlanguagedialog.cpp
-    src/addlanguagedialog.ui
+    src/languagesdialog.cpp
+    src/languagesdialog.ui
     src/cli.cpp
     src/contextmenu.cpp
     src/languagebuttonswidget.cpp
@@ -235,7 +236,10 @@
 if(UNIX)
     target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::DBus)
     if(NOT APPLE)
-        target_link_libraries(${PROJECT_NAME} PRIVATE XCB::XCB)
+        target_link_libraries(${PROJECT_NAME} PRIVATE
+            XCB::XCB
+            Qt5::X11Extras
+        )
         if(WITH_KWAYLAND)
             target_link_libraries(${PROJECT_NAME} PRIVATE KF5::WaylandClient)
             target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_KWAYLAND)

=== src/third-party/qhotkey/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(qhotkey VERSION 1.2.2 LANGUAGES CXX)

option(QHOTKEY_EXAMPLES "Build examples" OFF)
option(QHOTKEY_INSTALL "Enable install rule" ON)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt5 COMPONENTS Core Widgets REQUIRED)

qt5_wrap_cpp(MOC_HEADERS
    QHotkey/qhotkey.h
    QHotkey/qhotkey_p.h)

set(LIBS
    Qt5::Core
    Qt5::Widgets)

set(SRC_FILES
    QHotkey/qhotkey.cpp)

if(APPLE)
    find_library(CARBON_LIBRARY Carbon)
    mark_as_advanced(CARBON_LIBRARY)

    set(SRC_FILES ${SRC_FILES} QHotkey/qhotkey_mac.cpp)
    set(LIBS ${LIBS} ${CARBON_LIBRARY})
elseif(WIN32)
    set(SRC_FILES ${SRC_FILES} QHotkey/qhotkey_win.cpp)
else()
    find_package(X11 REQUIRED)
    find_package(Qt5X11Extras REQUIRED)

    include_directories(${X11_INCLUDE_DIR})
    set(LIBS ${LIBS} ${X11_LIBRARIES} Qt5::X11Extras)
    set(SRC_FILES ${SRC_FILES} QHotkey/qhotkey_x11.cpp)
endif()

add_library(qhotkey ${SRC_FILES} ${MOC_HEADERS})
add_library(QHotkey::QHotkey ALIAS qhotkey)
target_link_libraries(qhotkey ${LIBS})

target_include_directories(qhotkey
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/QHotkey>
        $<INSTALL_INTERFACE:include>)

set_target_properties(qhotkey PROPERTIES
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION ${PROJECT_VERSION})

if(QHOTKEY_EXAMPLES)
    add_subdirectory(HotkeyTest)
endif()

if(QHOTKEY_INSTALL)
    include(GNUInstallDirs)
    set(INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/QHotkey)

    install(
        TARGETS qhotkey EXPORT QHotkeyConfig
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/QHotkey/qhotkey.h
        ${CMAKE_CURRENT_SOURCE_DIR}/QHotkey/QHotkey
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/)
    install(EXPORT QHotkeyConfig DESTINATION ${INSTALL_CONFIGDIR})

    export(TARGETS qhotkey FILE QHotkeyConfig.cmake)
endif()

=== debian/changelog ===
crow-translate (2.11.1+git20240108+ds-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 May 2024 10:55:09 -0700

crow-translate (2.11.1+git20240108+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years, add myself.

 -- Gürkan Myczko <tar@debian.org>  Mon, 08 Jan 2024 11:38:50 +0100

## crow-translate 2.11.1+git20240108+ds

=== src/qgittag/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15.0)

project(QGitTag LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(AUTOMOC ON)

find_package(Qt5 COMPONENTS Network REQUIRED)
find_package(Doxygen)

add_library(${PROJECT_NAME} STATIC
    src/qgitasset.cpp
    src/qgittag.cpp
)
add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::Network)
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/src)

if(DOXYGEN_FOUND)
    set(DOXYGEN_USE_MDFILE_AS_MAINPAGE README.md)

    doxygen_add_docs(${PROJECT_NAME}Documentation
        src/qgitasset.h
        src/qgittag.h
        README.md
    )
endif()

=== src/qonlinetranslator/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15.0)

project(QOnlineTranslator LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(AUTOMOC ON)

find_package(Qt5 COMPONENTS Multimedia Network REQUIRED)
find_package(Doxygen)

add_library(${PROJECT_NAME} STATIC
    src/qonlinetranslator.cpp
    src/qonlinetts.cpp
    src/qexample.cpp
    src/qoption.cpp
)
add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::Network)
target_link_libraries(${PROJECT_NAME} PUBLIC Qt5::Multimedia)
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/src)

if(DOXYGEN_FOUND)
    set(DOXYGEN_USE_MDFILE_AS_MAINPAGE README.md)

    doxygen_add_docs(${PROJECT_NAME}Documentation
        src/qonlinetranslator.h
        src/qonlinetts.h
        src/qexample.h
        src/qoption.h
        README.md
    )
endif()

=== src/third-party/qtaskbarcontrol/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(QTaskbarControl VERSION 2.0.0 LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

add_library(${PROJECT_NAME}
    qtaskbarcontrol.cpp
    qtaskbarcontrol_p.cpp
)
add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

find_package(Qt5 COMPONENTS Widgets REQUIRED)
target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::Widgets)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    target_sources(${PROJECT_NAME} PRIVATE qtaskbarcontrol_x11.cpp)

    find_package(Qt5 COMPONENTS DBus REQUIRED)
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::DBus)
elseif(WIN32)
    set(CMAKE_AUTORCC ON)

    target_sources(${PROJECT_NAME} PRIVATE
        qtaskbarcontrol_win.cpp
        qtaskbarcontrol.qrc
    )

    find_package(Qt5 COMPONENTS WinExtras REQUIRED)
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::WinExtras)
elseif(APPLE AND NOT IOS)
    target_sources(${PROJECT_NAME} PRIVATE qtaskbarcontrol_mac.mm)

    find_package(Qt5 COMPONENTS MacExtras REQUIRED)
    find_library(APPKIT_LIBRARY AppKit)
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::MacExtras ${APPKIT_LIBRARY})
else()
    target_sources(${PROJECT_NAME} PRIVATE qtaskbarcontrol_dummy.cpp)
endif()

target_compile_definitions(${PROJECT_NAME} PUBLIC Q_TASKBAR_CONTROL_EXPORT=)
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== src/third-party/qhotkey/HotkeyTest/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt5_wrap_ui(test_UI_HEADERS hottestwidget.ui)
qt5_wrap_cpp(test_MOC_HEADERS hottestwidget.h)

add_executable(HotkeyTest
    main.cpp
    hottestwidget.cpp
    ${test_UI_HEADERS}
    ${test_MOC_HEADERS})
target_link_libraries(HotkeyTest Qt5::Widgets qhotkey)
target_include_directories(HotkeyTest PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
crow-translate (2.11.1+git20240108+ds-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 May 2024 10:55:09 -0700

=== debian/control ===
Source: crow-translate
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dmitry Ilyich Sidorov <jonmagon@gmail.com>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5wayland-dev,
               libqt5x11extras5-dev,
               libtesseract-dev,
               qtmultimedia5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Homepage: https://github.com/crow-translate/crow-translate
Vcs-Browser: https://salsa.debian.org/debian/crow-translate
Vcs-Git: https://salsa.debian.org/debian/crow-translate.git
Rules-Requires-Root: no

Package: crow-translate
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple and lightweight translator
 This is a simple and lightweight translator that allows you
 to translate and speak text using Google, Yandex, Bing,
 LibreTranslate and Lingva translate API.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## crow-translate 3.1.0

=== debian/changelog ===
crow-translate (3.1.0-0zneon+24.04+noble+release+build12) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Jun 2025 03:01:48 +0000

crow-translate (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 25 Oct 2024 17:06:09 +0000

crow-translate (3.0.0-0neon) noble; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 21:52:54 +1000

crow-translate (2.11.1+git20240901-0) noble; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 21:52:54 +1000

=== debian/control ===
Source: crow-translate
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libkf5wayland-dev,
               libqt5x11extras5-dev,
               libtesseract-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtmultimedia5-dev,
               qttools5-private-dev,
               qtwayland5-private-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/office/crow-translate
Vcs-Git: https://invent.kde.org/neon/neon-packaging/crow-translate.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/crow-translate
Maintainer: Neon CI <neon@kde.org>

Package: crow-translate
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt6 based translator app.
 Crow Translate is a simple and lightweight translator written in C++ / Qt that
 allows you to translate and speak text using Mozhi.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MULTIARCH ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
export QT_SELECT=qt5

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

export DH_VERBOSE=1

%:
	dh $@ --with kf5

## crow-translate 3.1.0+p24.04+vstable+git20260126.0712

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vstable+git20260126.0712-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:12:20 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_test:
	#do not run tests
	true

## crow-translate 3.1.0+p24.04+vstable+git20260131.1255

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vstable+git20260131.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:56:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                kf6-extra-cmake-modules,
-               libkf5wayland-dev,
-               libqt5x11extras5-dev,
+               kf6-kwayland-dev,
                libtesseract-dev,
                pkg-kde-tools,
-               qtbase5-dev,
-               qtmultimedia5-dev,
-               qttools5-private-dev,
-               qtwayland5-private-dev
+               qt6-5compat-dev,
+               qt6-base-dev,
+               qt6-multimedia-dev,
+               qt6-scxml-dev,
+               qt6-speech-dev,
+               qt6-tools-dev,
+               qt6-wayland-dev
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/office/crow-translate
 Vcs-Git: https://invent.kde.org/neon/neon-packaging/crow-translate.git
@@ -18,6 +20,7 @@
 Maintainer: Neon CI <neon@kde.org>
 
 Package: crow-translate
+Section: kde
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/([\d.]+)/@PACKAGE@-v([\d.]+)\.tar\.gz

## crow-translate 3.1.0+p24.04+vunstable+git20251202.0951

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vunstable+git20251202.0951-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:51:44 +0000

## crow-translate 3.1.0+p24.04+vunstable+git20251206.0306

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vunstable+git20251206.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:07:03 +0000

## crow-translate 3.1.0+p24.04+vunstable+git20251208.0206

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vunstable+git20251208.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:07:11 +0000

## crow-translate 3.1.0+p24.04+vunstable+git20260201.0546

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vunstable+git20260201.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:47:14 +0000
